Attribute VB_Name = "mdlMiniPiano"
Option Explicit

' MiniPiano - Open Source version of Electronic Piano 2.5 (Freeware)
' Created by Maurcio Antunes Oliveira - mauricio.mcp@terra.com.br
'
' Download both versions at :
' www.pianoeletronico.com.br

' MIDI Device API Functions
Public Declare Function midiOutOpen Lib "winmm.dll" (lphMidiOut As Long, ByVal uDeviceID As Long, ByVal dwCallback As Long, ByVal dwInstance As Long, ByVal dwFlags As Long) As Long
Public Declare Function midiOutClose Lib "winmm.dll" (ByVal hMidiOut As Long) As Long
Public Declare Function midiOutShortMsg Lib "winmm.dll" (ByVal hMidiOut As Long, ByVal dwMsg As Long) As Long
' Handler to the MIDI Device
Public hMidiOut As Long

Public Sub OpenMIDIDevice()
    midiOutOpen hMidiOut, -1, 0, 0, 0
End Sub

Public Sub SendMIDIMessage(ByVal Byte1 As Byte, ByVal Byte2 As Byte, ByVal Byte3 As Byte)
    midiOutShortMsg hMidiOut, Byte1 + (Byte2 * &H100) + (Byte3 * &H10000)
End Sub

Public Sub CloseMIDIDevice()
    midiOutClose hMidiOut
End Sub
